package domain

type AlibabaHmMarketingItempoolRemoveitemMarketResult struct {
	/*
	   错误信息     */
	Message *string `json:"message,omitempty" `

	/*
	   错误码     */
	ErrorCode *string `json:"error_code,omitempty" `

	/*
	   是否移除成功     */
	Data *bool `json:"data,omitempty" `

	/*
	   是否移除成功     */
	Success *bool `json:"success,omitempty" `
}

func (s *AlibabaHmMarketingItempoolRemoveitemMarketResult) SetMessage(v string) *AlibabaHmMarketingItempoolRemoveitemMarketResult {
	s.Message = &v
	return s
}
func (s *AlibabaHmMarketingItempoolRemoveitemMarketResult) SetErrorCode(v string) *AlibabaHmMarketingItempoolRemoveitemMarketResult {
	s.ErrorCode = &v
	return s
}
func (s *AlibabaHmMarketingItempoolRemoveitemMarketResult) SetData(v bool) *AlibabaHmMarketingItempoolRemoveitemMarketResult {
	s.Data = &v
	return s
}
func (s *AlibabaHmMarketingItempoolRemoveitemMarketResult) SetSuccess(v bool) *AlibabaHmMarketingItempoolRemoveitemMarketResult {
	s.Success = &v
	return s
}
